Fix bootstrap script to support MacOS glibtoolize oddity.
authorzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>
Wed, 13 May 2009 21:55:16 +0000 (21:55 +0000)
committerzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>
Wed, 13 May 2009 21:55:16 +0000 (21:55 +0000)
git-svn-id: svn://svn.berlios.de/openocd/trunk@1779 b42882b7-edfa-0310-969c-e2dbd0fdcd60

bootstrap

index b49fda3..2e7b532 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -1,8 +1,24 @@
-aclocal \
-&& autoheader \
-&& libtoolize --automake \
-&& automake --foreign --add-missing --copy \
-&& autoconf
+#!/bin/sh -e
+
+if libtoolize --version >/dev/null 2>&1; then
+       libtoolize="libtoolize"
+elif libtoolize --version >/dev/null 2>&1; then
+       libtoolize="glibtoolize"
+else
+       echo "libtool is required" >&2
+       exit 1
+fi
+
+# bootstrap the autotools
+(
+set -x
+aclocal
+autoheader
+${libtoolize} --automake --copy
+autoconf
+autoheader
+automake --foreign --add-missing --copy
+)
 
 # AM_MAINTAINER_MODE requires SVN users provide --enable-maintainer-mode
 # otherwise the documentation will fail to build due to missing version.texi